.
Even though some parameters are optional, make sure you use the ones you really want before submitting the request, as you won't be able to edit anything of the employee, excepting the membership type, after its been created.
Example of a request body for adding a new employee.
For more information on how to assign a new employee of "assigned" type to a client, check
.
Will return the newly added employee object.
You can get an error when trying to add a new employee if you are already at max number of employees for the account.
Will return the newly added employee object.
cURL Java Javascript Node Perl Python PHP Ruby Go C# Visual Basic Groovy Objective-C Swift
curl -- include \
-- request DELETE \
-- header "Content-Type: application/json" \
-- header "Authorization: Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" \
'https://rest.smartvault.com/nodes/entity/path'
import javax . ws . rs . client . Client ;
import javax . ws . rs . client . ClientBuilder ;
import javax . ws . rs . client . Entity ;
import javax . ws . rs . core . Response ;
import javax . ws . rs . core . MediaType ;
Client client = ClientBuilder . newClient ( ) ;
Response response = client . target ( "https://rest.smartvault.com/nodes/entity/path" )
. request ( MediaType . APPLICATION_JSON_TYPE )
. header ( "Authorization" , "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" )
. delete ( ) ;
System . out . println ( "status: " + response . getStatus ( ) ) ;
System . out . println ( "headers: " + response . getHeaders ( ) ) ;
System . out . println ( "body:" + response . readEntity ( String . class ) ) ;
var request = new XMLHttpRequest ( ) ;
request . open ( 'DELETE' , 'https://rest.smartvault.com/nodes/entity/path' ) ;
request . setRequestHeader ( 'Content-Type' , 'application/json' ) ;
request . setRequestHeader ( 'Authorization' , 'Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==' ) ;
request . onreadystatechange = function ( ) {
if ( this . readyState === 4 ) {
console . log ( 'Status:' , this . status ) ;
console . log ( 'Headers:' , this . getAllResponseHeaders ( ) ) ;
console . log ( 'Body:' , this . responseText ) ;
}
} ;
request . send ( ) ;
var request = require ( 'request' ) ;
request ( {
method : 'DELETE' ,
url : 'https://rest.smartvault.com/nodes/entity/path' ,
headers : {
'Content-Type' : 'application/json' ,
'Authorization' : 'Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg=='
} } , function ( error , response , body ) {
console . log ( 'Status:' , response . statusCode ) ;
console . log ( 'Headers:' , JSON . stringify ( response . headers ) ) ;
console . log ( 'Response:' , body ) ;
} ) ;
$ ENV { 'PERL_LWP_SSL_VERIFY_HOSTNAME' } = 0 ;
use LWP : : UserAgent ;
use strict ;
use warnings ;
use 5.010 ;
use Cpanel : : JSON : : XS qw ( encode_json decode_json ) ;
my $ua = LWP : : UserAgent - > new ;
$ua - > default_header ( "Content-Type" => "application/json" ) ;
$ua - > default_header ( "Authorization" => "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" ) ;
my $response = $ua - > delete ( "https://rest.smartvault.com/nodes/entity/path" ) ;
print $response - > as_string ;
from urllib2 import Request , urlopen
headers = {
'Content-Type' : 'application/json' ,
'Authorization' : 'Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg=='
}
request = Request ( 'https://rest.smartvault.com/nodes/entity/path' , headers = headers )
request . get_method = lambda : 'DELETE'
response_body = urlopen ( request ) . read ( )
print response_body
< ? php
$ch = curl_init ( ) ;
curl_setopt ( $ch , CURLOPT_URL , "https://rest.smartvault.com/nodes/entity/path" ) ;
curl_setopt ( $ch , CURLOPT_RETURNTRANSFER , TRUE ) ;
curl_setopt ( $ch , CURLOPT_HEADER , FALSE ) ;
curl_setopt ( $ch , CURLOPT_CUSTOMREQUEST , "DELETE" ) ;
curl_setopt ( $ch , CURLOPT_HTTPHEADER , array (
"Content-Type: application/json" ,
"Authorization: Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg=="
) ) ;
$response = curl_exec ( $ch ) ;
curl_close ( $ch ) ;
var_dump ( $response ) ;
require 'rubygems' if RUBY_VERSION < '1.9'
require 'rest_client'
headers = {
: content_type => 'application/json' ,
: authorization => 'Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg=='
}
response = RestClient . delete 'https://rest.smartvault.com/nodes/entity/path' , headers
puts response
package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main ( ) {
client : = & http . Client { }
req , _ : = http . NewRequest ( "DELETE" , "https://rest.smartvault.com/nodes/entity/path" , nil )
req . Header . Add ( "Content-Type" , "application/json" )
req . Header . Add ( "Authorization" , "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" )
resp , err : = client . Do ( req )
if err != nil {
fmt . Println ( "Errored when sending request to the server" )
return
}
defer resp . Body . Close ( )
resp_body , _ : = ioutil . ReadAll ( resp . Body )
fmt . Println ( resp . Status )
fmt . Println ( string ( resp_body ) )
}
using System ;
using System . Net . Http ;
var baseAddress = new Uri ( "https://rest.smartvault.com/" ) ;
using ( var httpClient = new HttpClient { BaseAddress = baseAddress } )
{
httpClient . DefaultRequestHeaders . TryAddWithoutValidation ( "Authorization" , "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" ) ;
using ( var response = await httpClient . DeleteAsync ( "nodes/entity/{path}" ) )
{
string responseData = await response . Content . ReadAsStringAsync ( ) ;
}
}
Dim request = TryCast ( System . Net . WebRequest . Create ( "https://rest.smartvault.com/nodes/entity/path" ) , System . Net . HttpWebRequest )
request . Method = "DELETE"
request . ContentType = "application/json"
request . Headers . Add ( "Authorization" , "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" )
request . ContentLength = 0
Dim responseContent As String
Using response = TryCast ( request . GetResponse ( ) , System . Net . HttpWebResponse )
Using reader = New System . IO . StreamReader ( response . GetResponseStream ( ) )
responseContent = reader . ReadToEnd ( )
End Using
End Using
import groovyx . net . http . RESTClient
import static groovyx . net . http . ContentType . JSON
import groovy . json . JsonSlurper
import groovy . json . JsonOutput
@ Grab ( group = 'org.codehaus.groovy.modules.http-builder' , module = 'http-builder' , version = '0.5.0' )
def client = new RESTClient ( "https://rest.smartvault.com" )
def emptyHeaders = [ : ]
emptyHeaders . "Content-Type" = "application/json"
emptyHeaders . "Authorization" = "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg=="
response = client . delete ( path : "/nodes/entity/{path}" , headers : emptyHeaders )
println ( "Status:" + response . status )
if ( response . data ) {
println ( "Content Type: " + response . contentType )
println ( "Body:\n" + JsonOutput . prettyPrint ( JsonOutput . toJson ( response . data ) ) )
}
NSURL * URL = [ NSURL URLWithString : @ "https://rest.smartvault.com/nodes/entity/path" ] ;
NSMutableURLRequest * request = [ NSMutableURLRequest requestWithURL : URL ] ;
[ request setHTTPMethod : @ "DELETE" ] ;
[ request setValue : @ "application/json" forHTTPHeaderField : @ "Content-Type" ] ;
[ request setValue : @ "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" forHTTPHeaderField : @ "Authorization" ] ;
NSURLSession * session = [ NSURLSession sharedSession ] ;
NSURLSessionDataTask * task = [ session dataTaskWithRequest : request
completionHandler :
^ ( NSData * data , NSURLResponse * response , NSError * error ) {
if ( error ) {
return ;
}
if ( [ response isKindOfClass : [ NSHTTPURLResponse class ] ] ) {
NSLog ( @ "Response HTTP Status code: %ld\n" , ( long ) [ ( NSHTTPURLResponse * ) response statusCode ] ) ;
NSLog ( @ "Response HTTP Headers:\n%@\n" , [ ( NSHTTPURLResponse * ) response allHeaderFields ] ) ;
}
NSString * body = [ [ NSString alloc ] initWithData : data encoding : NSUTF8StringEncoding ] ;
NSLog ( @ "Response Body:\n%@\n" , body ) ;
} ] ;
[ task resume ] ;
import Foundation
let url = URL ( string : "https://rest.smartvault.com/nodes/entity/path" ) !
var request = URLRequest ( url : url )
request . httpMethod = "DELETE"
request . addValue ( "application/json" , forHTTPHeaderField : "Content-Type" )
request . addValue ( "Bearer Q0xJMDAAAAAAAAABUYDOL8O67z2B7oVbKs+V2x2nfGMx3GascjMPJxcGFxvOyg==" , forHTTPHeaderField : "Authorization" )
let task = URLSession . shared . dataTask ( with : request ) { data , response , error in
if let response = response {
print ( response )
if let data = data , let body = String ( data : data , encoding : . utf8 ) {
print ( body )
}
} else {
print ( error ?? "Unknown error" )
}
}
task . resume ( )
Returns a default success object if the deletion goes well.